Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188447 - Too early getValue() call on fields.
Too early getValue() call on fields.
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
PC Linux
: P1 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 13:18 UTC by Martin Entlicher
Modified: 2010-07-16 07:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-07-07 13:18:59 UTC
When static fields are initialized, all static values are retrieved.
This is a problem for JavaFX debugger, because such call can start many triggers.

Stack trace is:
com.sun.javafx.jdi.event.FXEventQueue.startInvoke(FXEventQueue.java:48)
    at com.sun.javafx.jdi.FXClassType.invokeMethod(FXClassType.java:68)
    at com.sun.javafx.jdi.FXReferenceType.getValue(FXReferenceType.java:377)
    at
org.netbeans.modules.debugger.jpda.jdi.ReferenceTypeWrapper.getValue(ReferenceTypeWrapper.java:1111)
    at
org.netbeans.modules.debugger.jpda.models.JPDAClassTypeImpl.staticFields(JPDAClassTypeImpl.java:222)
    at
org.netbeans.modules.debugger.jpda.models.LocalsTreeModel.getChildrenImpl(LocalsTreeModel.java:175)
...
Comment 1 Martin Ryzl 2010-07-07 13:23:35 UTC
would some kind of lazy evaluation be possible?
Comment 2 Martin Entlicher 2010-07-07 13:57:15 UTC
Yes, it would be. I'll have the fix very soon...
Comment 3 Martin Entlicher 2010-07-07 15:56:51 UTC
Fixed in changeset:   173899:8cf1f0070183
http://hg.netbeans.org/main/rev/8cf1f0070183
Comment 4 Quality Engineering 2010-07-09 03:23:38 UTC
Integrated into 'main-golden', will be available in build *201007090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8cf1f0070183
User: mentlicher@netbeans.org
Log: #188447 Lazy evaluation of static fields.
Comment 5 Martin Ryzl 2010-07-15 15:28:37 UTC
approved for integration into 6.9.1
Comment 6 Martin Entlicher 2010-07-15 15:31:08 UTC
Transplanted into release691 as changeset:   171905:0ef099c9d62e
http://hg.netbeans.org/release691/rev/0ef099c9d62e


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo